corda / net.corda.node.utilities.registration / HTTPNetworkRegistrationService

# HTTPNetworkRegistrationService

`class HTTPNetworkRegistrationService : NetworkRegistrationService`

### Constructors

<init> | `HTTPNetworkRegistrationService(server: URL)`

### Properties

server | `val server: URL`

### Functions

retrieveCertificates | `fun retrieveCertificates(requestId: String): Array<Certificate>?` Poll Certificate Signing Server for the request and returns a chain of certificates if request has been approved, null otherwise.
submitRequest | `fun submitRequest(request: PKCS10CertificationRequest): String` Submits a CSR to the signing service and returns an opaque request ID.

### Companion Object Properties

clientVersion | `val clientVersion: String`